OpenCV: CvTypeInfo Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Attributes | List of all members
CvTypeInfo Struct Reference
Core functionality » C structures and operations

Type information. More...

`#include "types_c.h"`

## Public Attributes
CvCloneFunc | clone
int | flags
int | header_size
CvIsInstanceFunc | is_instance
struct CvTypeInfo * | next
struct CvTypeInfo * | prev
CvReadFunc | read
CvReleaseFunc | release
const char * | type_name
CvWriteFunc | write

## Detailed Description

Type information.

The structure contains information about one of the standard or user-defined types. Instances of the type may or may not contain a pointer to the corresponding CvTypeInfo structure. In any case, there is a way to find the type info structure for a given object using the cvTypeOf function. Alternatively, type info can be found by type name using cvFindType, which is used when an object is read from file storage. The user can register a new type with cvRegisterType that adds the type information structure into the beginning of the type list. Thus, it is possible to create specialized types from generic standard types and override the basic methods.

## Member Data Documentation

## ◆ clone

CvCloneFunc CvTypeInfo::clone

creates a copy of the object

## ◆ flags

int CvTypeInfo::flags

not used

## ◆ header_size

int CvTypeInfo::header_size

sizeof(CvTypeInfo)

## ◆ is_instance

CvIsInstanceFunc CvTypeInfo::is_instance

checks if the passed object belongs to the type

## ◆ next

struct CvTypeInfo* CvTypeInfo::next

next registered type in the list

## ◆ prev

struct CvTypeInfo* CvTypeInfo::prev

previous registered type in the list

## ◆ read

CvReadFunc CvTypeInfo::read

reads object from file storage

## ◆ release

CvReleaseFunc CvTypeInfo::release

releases object (memory etc.)

## ◆ type_name

const char* CvTypeInfo::type_name

type name, written to file storage

## ◆ write

CvWriteFunc CvTypeInfo::write

writes object to file storage

The documentation for this struct was generated from the following file:

- core/include/opencv2/core/types_c.h